> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt

# RemoveSubUserRoles

POST https://api.voximplant.com/platform_api/RemoveSubUserRoles

Removes the specified roles of a subuser.

Allowed roles: `Owner`.

**Example request:** Remove roles 1,2,3 from the subuser with id = 12.

Reference: https://docs.voximplant.ai/api-reference/management-api/reference/role-system/remove-sub-user-roles

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: management-api
  version: 1.0.0
paths:
  /RemoveSubUserRoles:
    post:
      operationId: remove-sub-user-roles
      summary: RemoveSubUserRoles
      description: |-
        Removes the specified roles of a subuser.

        Allowed roles: `Owner`.

        **Example request:** Remove roles 1,2,3 from the subuser with id = 12.
      tags:
        - subpackage_roleSystem
      parameters:
        - name: subuser_id
          in: query
          description: The subuser's ID
          required: true
          schema:
            type: integer
        - name: role_id
          in: query
          description: The role id list separated by semicolons (;)
          required: true
          schema:
            type: array
            items:
              type: integer
        - name: role_name
          in: query
          description: The role name list separated by semicolons (;)
          required: true
          schema:
            type: array
            items:
              type: string
        - name: force
          in: query
          description: Whether to remove roles from all subuser keys
          required: false
          schema:
            type: boolean
        - name: Authorization
          in: header
          description: >-
            Voximplant Management API uses signed JWT tokens generated from your
            service-account private key. Pass the token in the `Authorization`
            header as a Bearer value:


            ```

            Authorization: Bearer $VOXIMPLANT_TOKEN

            ```


            See [Authorization](/api-reference/management-api/authorization) for
            ready-to-copy snippets in bash, Python, Node.js and Go that turn
            your `credentials.json` into a token.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/role-system_RemoveSubUserRoles_Response_200
servers:
  - url: https://api.voximplant.com/platform_api
components:
  schemas:
    role-system_RemoveSubUserRoles_Response_200:
      type: object
      properties:
        result:
          type: integer
      title: role-system_RemoveSubUserRoles_Response_200
  securitySchemes:
    JwtAuth:
      type: http
      scheme: bearer
      description: >-
        Voximplant Management API uses signed JWT tokens generated from your
        service-account private key. Pass the token in the `Authorization`
        header as a Bearer value:


        ```

        Authorization: Bearer $VOXIMPLANT_TOKEN

        ```


        See [Authorization](/api-reference/management-api/authorization) for
        ready-to-copy snippets in bash, Python, Node.js and Go that turn your
        `credentials.json` into a token.

```

## SDK Code Examples

```python Example 1
import requests

url = "https://api.voximplant.com/platform_api/RemoveSubUserRoles"

querystring = {"subuser_id":"12","role_id":"[1,2,3]","role_name":"[\"Owner\",\"Owner\",\"Owner\"]","force":"false"}

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript Example 1
const url = 'https://api.voximplant.com/platform_api/RemoveSubUserRoles?subuser_id=12&role_id=%5B1%2C2%2C3%5D&role_name=%5B%22Owner%22%2C%22Owner%22%2C%22Owner%22%5D&force=false';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example 1
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.voximplant.com/platform_api/RemoveSubUserRoles?subuser_id=12&role_id=%5B1%2C2%2C3%5D&role_name=%5B%22Owner%22%2C%22Owner%22%2C%22Owner%22%5D&force=false"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example 1
require 'uri'
require 'net/http'

url = URI("https://api.voximplant.com/platform_api/RemoveSubUserRoles?subuser_id=12&role_id=%5B1%2C2%2C3%5D&role_name=%5B%22Owner%22%2C%22Owner%22%2C%22Owner%22%5D&force=false")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java Example 1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.voximplant.com/platform_api/RemoveSubUserRoles?subuser_id=12&role_id=%5B1%2C2%2C3%5D&role_name=%5B%22Owner%22%2C%22Owner%22%2C%22Owner%22%5D&force=false")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php Example 1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.voximplant.com/platform_api/RemoveSubUserRoles?subuser_id=12&role_id=%5B1%2C2%2C3%5D&role_name=%5B%22Owner%22%2C%22Owner%22%2C%22Owner%22%5D&force=false', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Example 1
using RestSharp;

var client = new RestClient("https://api.voximplant.com/platform_api/RemoveSubUserRoles?subuser_id=12&role_id=%5B1%2C2%2C3%5D&role_name=%5B%22Owner%22%2C%22Owner%22%2C%22Owner%22%5D&force=false");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Example 1
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/RemoveSubUserRoles?subuser_id=12&role_id=%5B1%2C2%2C3%5D&role_name=%5B%22Owner%22%2C%22Owner%22%2C%22Owner%22%5D&force=false")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```